unit U_players;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Buttons;

type
  TFrm_players = class(TForm)
    Pnl_btm: TPanel;
    Pnl_top: TPanel;
    GroupBox1: TGroupBox;
    Ed_redname: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    GroupBox2: TGroupBox;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Ed_yellowname: TEdit;
    Btn_ok: TBitBtn;
    Btn_cancel: TBitBtn;
    Lb_redwin: TLabel;
    Lb_redlost: TLabel;
    Lb_yellowwin: TLabel;
    Lb_yellowlost: TLabel;
    Label7: TLabel;
    Cb_ordre: TComboBox;
    Label8: TLabel;
    Lb_redtot: TLabel;
    Lb_yellowtot: TLabel;
    Label10: TLabel;
    procedure Ed_rednameChange(Sender: TObject);
    procedure Ed_yellownameChange(Sender: TObject);
    procedure Cb_ordreChange(Sender: TObject);
  private
    FRedGamerWin: Integer;
    FYellowGamerWin: Integer;
    FRedGamerLost: Integer;
    FYellowGamerLost: Integer;
    FRedGamerName: String;
    FYellowGamerName: String;
    FOrdre: Integer;
    FRedGamerGame: Integer;
    FYellowGamerGame: Integer;
    procedure SetRedGamerLost(const Value: Integer);
    procedure SetRedGamerName(const Value: String);
    procedure SetRedGamerWin(const Value: Integer);
    procedure SetYellowGamerName(const Value: String);
    procedure SetYellowGamerLost(const Value: Integer);
    procedure SetYellowGamerWin(const Value: Integer);
    procedure SetOrdre(const Value: Integer);
    procedure SetRedGamerGame(const Value: Integer);
    procedure SetYellowGamerGame(const Value: Integer);
    { Dclarations prives }
  public
    { Dclarations publiques }
    property RedGamerName     : String read FRedGamerName write SetRedGamerName;
    property YellowGamerName  : String read FYellowGamerName write SetYellowGamerName;
    property RedGamerWin      : Integer read FRedGamerWin write SetRedGamerWin;
    property YellowGamerWin   : Integer read FYellowGamerWin write SetYellowGamerWin;
    property RedGamerLost     : Integer read FRedGamerLost write SetRedGamerLost;
    property YellowGamerLost  : Integer read FYellowGamerLost write SetYellowGamerLost;
    property YellowGamerGame  : Integer read FYellowGamerGame write SetYellowGamerGame;
    property RedGamerGame     : Integer read FRedGamerGame write SetRedGamerGame;
    property Ordre            : Integer read FOrdre write SetOrdre;
    function Execute : Boolean;
  end;

var
  Frm_players: TFrm_players;

implementation


{$R *.dfm}

{ TFrm_gamers }

function TFrm_players.Execute: Boolean;
begin
  ShowModal;
  Result := ModalResult = mrOk;
end;

procedure TFrm_players.SetRedGamerLost(const Value: Integer);
begin
  FRedGamerLost := Value;
  Lb_redlost.Caption  := IntTostr(Value);
end;

procedure TFrm_players.SetRedGamerName(const Value: String);
begin
  FRedGamerName := Value;
  Ed_redname.Text := FRedGamerName;
end;

procedure TFrm_players.SetRedGamerWin(const Value: Integer);
begin
  FRedGamerWin := Value;
  Lb_redwin.Caption  := IntTostr(Value);
end;

procedure TFrm_players.SetYellowGamerName(const Value: String);
begin
  FYellowGamerName := Value;
  Ed_yellowname.Text  := FYellowGamerName;
end;

procedure TFrm_players.SetYellowGamerLost(const Value: Integer);
begin
  FYellowGamerLost := Value;
  Lb_yellowlost.Caption  := IntTostr(Value);
end;

procedure TFrm_players.SetYellowGamerWin(const Value: Integer);
begin
  FYellowGamerWin := Value;
  Lb_yellowwin.Caption  := IntTostr(Value);  
end;

procedure TFrm_players.Ed_rednameChange(Sender: TObject);
begin
  FRedGamerName := Ed_redname.Text;
end;

procedure TFrm_players.Ed_yellownameChange(Sender: TObject);
begin
  FyellowGamerName  := Ed_yellowname.Text;
end;

procedure TFrm_players.SetOrdre(const Value: Integer);
begin
  FOrdre := Value;
  Cb_ordre.ItemIndex  := FOrdre;
end;

procedure TFrm_players.Cb_ordreChange(Sender: TObject);
begin
  FOrdre  := Cb_ordre.ItemIndex;
end;

procedure TFrm_players.SetRedGamerGame(const Value: Integer);
begin
  FRedGamerGame := Value;
  Lb_redtot.Caption  := IntToStr(FRedGamerGame);
end;

procedure TFrm_players.SetYellowGamerGame(const Value: Integer);
begin
  FYellowGamerGame := Value;
  Lb_yellowtot.Caption  := IntToStr(FYellowGamerGame);
end;

end.
